using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Drawing.Drawing2D;

using Syncfusion.Web.UI.WebControls.Chart;
using Syncfusion.Windows.Forms.Chart;



namespace Line1
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected Syncfusion.Web.UI.WebControls.Chart.ChartWebControl ChartWebControl1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.DropDownList dlPalettes;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{  
			this.ChartWebControl1.Legend.Position=ChartLegendPosition.Top;
			this.InitializeChartData(true);
			this.InitializeChartSettings();
			if(!Page.IsPostBack)
				this.InitializeForm();
		}
		private void InitializeForm()
		{			
			string[] palettes = Enum.GetNames(typeof(ChartColorPalette));
			this.dlPalettes.DataSource = palettes;
			this.dlPalettes.DataBind();
		}

		
		private void UpdateSettings()
		{
			this.ChartWebControl1.Model.ColorModel.Palette = (ChartColorPalette)Enum.Parse(typeof(ChartColorPalette),this.dlPalettes.SelectedIndex.ToString(), true); 
		}

		protected void InitializeChartSettings()
		{
			this.ChartWebControl1.AutoTempFileCleanUp = true;
			
			/*
			You can set the ouput format to ChartOutputFormat.DiskFile to tell the chart to generate
			disk files instead of using handlers. Handlers are better since they do not generate any
			disk files. The ImageURLPath controls where disk files are stored if OutputFormat.DiskFile
			is used. Please note that user "ASPNET" will need to have write permissions to this folder
			on your server. If write permission is not provided the chart will not be able to write to disk. 		
			//this.ChartWebControl1.ImageUrlPath = ".\\TempImages";
			*/

			this.ChartWebControl1.OutputFormat = ChartOutputFormat.Handler;
			
			
			this.ChartWebControl1.Model.Series[0].Style.Border.Width = 4;

			
			this.ChartWebControl1.Model.Series[1].Style.Border.DashStyle = DashStyle.Dot;
			this.ChartWebControl1.Model.Series[1].Style.Border.Width = 4;
			this.ChartWebControl1.Legend.RepresentationType=ChartLegendRepresentationType.Circle;
		}

		protected void InitializeChartData(bool clear)
		{
				this.UpdateSettings();
					
			if(clear)
				this.ChartWebControl1.Model.Series.Clear();
			ChartSeries series1 = this.ChartWebControl1.Model.NewSeries(" Series 1",ChartSeriesType.Line);
			series1.Text = series1.Name;

			series1.Points.Add(1,256);
			series1.Points.Add(2,451);
			series1.Points.Add(3,382);
			series1.Points.Add(4,437);
			series1.Points.Add(5,321);
			series1.Points.Add(6,234);
			series1.Points.Add(7,425);
			series1.Points.Add(8,257);
			series1.Points.Add(9,382);
			series1.Points.Add(10,296);

			ChartSeries series2 = this.ChartWebControl1.Model.NewSeries(" Series 2",ChartSeriesType.Line );
			series2.Text = series2.Name;

			series2.Points.Add(1,437);
			series2.Points.Add(2,491);
			series2.Points.Add(3,480);
			series2.Points.Add(4,366);
			series2.Points.Add(5,422);
			series2.Points.Add(6,361);
			series2.Points.Add(7,289);
			series2.Points.Add(8,384);
			series2.Points.Add(9,461);
			series2.Points.Add(10,258);
			
			this.ChartWebControl1.Series.Add(series1);
			this.ChartWebControl1.Series.Add(series2);
			
		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
		
		}
	}
}
